Project

General

Profile

Bug #66405

Fix traceback in cloudsync

Added by graham jones 8 months ago. Updated 8 months ago.

Status:
Done
Priority:
No priority
Assignee:
Vladimir Vinogradenko
Category:
Middleware
Target version:
Seen in:
Severity:
New
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
No
Needs Merging:
No
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

Description

T FN11.1 U4, i created cloudsync jobs to sync shares to Blackblaze B2. These have been working fine for several months.
After upgrading to FN 11.1 U6they have been failing.
I get emails from Root saying

[ENOMETHOD] Method "sync" not found in "cloudsync"
Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 906, in method_lookup
serviceobj = self.get_service(service)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 823, in get_service
return self.
_services[name]
KeyError: 'cloudsync'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 150, in call_method
result = await self.middleware.call_method(self, message)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 915, in call_method
serviceobj, methodobj = self._method_lookup(message['method'])
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 909, in _method_lookup
raise CallError(f'Method "{method_name}" not found in "{service}"', CallError.ENOMETHOD)
middlewared.service_exception.CallError: [ENOMETHOD] Method "sync" not found in "cloudsync"

I created a new cloudsynvc task at 11.1 U6; this also fails.

In the cloudsync task creation screen method 'sync' is still selectable.


Related issues

Has duplicate FreeNAS - Bug #66549: Error when Cloud Syncs is scheduledClosed

History

#1 Updated by graham jones 8 months ago

  • File debug-lyr-20181229081737.txz added
  • Private changed from No to Yes

#2 Updated by Dru Lavigne 8 months ago

  • Assignee changed from Release Council to William Grzybowski

#3 Updated by William Grzybowski 8 months ago

  • Assignee changed from William Grzybowski to Vladimir Vinogradenko

#5 Updated by Dru Lavigne 8 months ago

  • Has duplicate Bug #66549: Error when Cloud Syncs is scheduled added

#6 Updated by Bug Clerk 8 months ago

  • Status changed from Unscreened to In Progress

#7 Updated by Bug Clerk 8 months ago

  • Status changed from In Progress to Ready for Testing

#8 Updated by Bug Clerk 8 months ago

  • Target version changed from Backlog to 11.1-U7

#9 Updated by Dru Lavigne 8 months ago

  • File deleted (debug-lyr-20181229081737.txz)

#10 Updated by Dru Lavigne 8 months ago

  • Subject changed from cloudsync fails at FN 11.1 U6 to Fix traceback in cloudsync
  • Needs Doc changed from Yes to No
  • Needs Merging changed from Yes to No

#11 Updated by Dru Lavigne 8 months ago

  • Private changed from Yes to No

#12 Updated by William Grzybowski 8 months ago

Acceptancec Criteria
Simply set up cloud sync and make sure it replicates automatically.

#14 Updated by Jeff Ervin 8 months ago

  • Status changed from Ready for Testing to Passed Testing
  • Needs QA changed from Yes to No

Test Passed FreeNAS-11.1-U7-INTERNAL1

Set-up Cloud Sync task (BackBlaze B2), automatically replicated (also edited a file contained within the folder being sync'd to ensure the edited file was sent)

#15 Updated by Dru Lavigne 8 months ago

  • Status changed from Passed Testing to Done

Also available in: Atom PDF